org.apache.synapse.commons.staxon.core.base

## Class XMLStreamReaderScope<T>

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope
  - - org.apache.synapse.commons.staxon.core.base.XMLStreamReaderScope<T>

- All Implemented Interfaces:
    javax.xml.namespace.NamespaceContext

      public class XMLStreamReaderScope<T>
      extends AbstractXMLStreamScope

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStreamReaderScope(javax.xml.namespace.NamespaceContext parent, T info)`
    `XMLStreamReaderScope(java.lang.String defaultNamespace, T info)`
    `XMLStreamReaderScope(XMLStreamReaderScope<T> parent, java.lang.String prefix, java.lang.String localName, java.lang.String namespaceURI)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAttributeCount()`
    `javax.xml.namespace.QName` | `getAttributeName(int index)`
    `java.lang.String` | `getAttributeValue(int index)`
    `java.lang.String` | `getAttributeValue(java.lang.String namespaceURI, java.lang.String localName)`
    `T` | `getInfo()`
    `int` | `getNamespaceCount()`
    `java.lang.String` | `getNamespacePrefix(int index)`
    `java.lang.String` | `getNamespaceURI(int index)`
    `XMLStreamReaderScope<T>` | `getParent()`

    - ### Methods inherited from class org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope

      `getLastChild, getLocalName, getNamespaceURI, getNamespaceURI, getPrefix, getPrefix, getPrefixes, isRoot, isStartTagClosed, setPrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamReaderScope

          public XMLStreamReaderScope(java.lang.String defaultNamespace,
                                      T info)

    - #### XMLStreamReaderScope

          public XMLStreamReaderScope(javax.xml.namespace.NamespaceContext parent,
                                      T info)

    - #### XMLStreamReaderScope

          public XMLStreamReaderScope(XMLStreamReaderScope<T> parent,
                                      java.lang.String prefix,
                                      java.lang.String localName,
                                      java.lang.String namespaceURI)

  - ### Method Detail

    - #### getInfo

          public T getInfo()

    - #### getParent

          public XMLStreamReaderScope<T> getParent()

      Overrides:
        `getParent` in class `AbstractXMLStreamScope`

    - #### getNamespaceCount

          public int getNamespaceCount()

    - #### getNamespacePrefix

          public java.lang.String getNamespacePrefix(int index)

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI(int index)

    - #### getAttributeCount

          public int getAttributeCount()

    - #### getAttributeName

          public javax.xml.namespace.QName getAttributeName(int index)

    - #### getAttributeValue

          public java.lang.String getAttributeValue(int index)

    - #### getAttributeValue

          public java.lang.String getAttributeValue(java.lang.String namespaceURI,
                                                    java.lang.String localName)

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.